Subject: Re: bug#16407: Info-directory-list should always put this Emacs's info direc first

From: Glenn Morris <[email-masked]>
Date: Fri, 10 Jan 2014 03:05:13 -0500

Glenn Morris wrote:

>> What if the user installs newer versions of, say, Gnus or Org from
>> their respective repositories?
>
> See my comment above.
> (Frankly, I suspect what happens at present in most such cases is that
> people install the lisp files in their load-path, but do not do anything
> with INFOPATH, so end up seeing the wrong Info pages anyway.)

PPS Actually, if they install via the Emacs package manager, there will
be no problem. That already does what I suggest: forces an entry on to
the very front of Info-directory-list. That would still come before the
element I am suggesting.